KDESU(1)

NAME
kdesu - Executa un programa amb privilegis elevats.

SYNOPSIS

kdesu [-c] [-d] [-f fitxer] [-i nom icona] [-n] [-p prioritat] [-r] [-s] [-t] [-u usuari] [--nonewdcop] [comandament [arg1] [arg2] [...]]

kdesu [Opcions genèriques del KDE] [Opcions genèriques de Qt]

DESCRIPCIó

KDE su és una interfície gràfica per a l'entorn d'escriptori K per al comandament su de UNIX®. Aquesta us permetrà executar un programa com a un usuari diferent indicant la contrasenya per aquest usuari. KDE su és un programa sense privilegis; aquest empra el sistema de su.

KDE su disposa d'una característica addicional: Aquest pot recordar les contrasenyes. Si esteu emprant aquesta característica, tan sols us caldrà introduir la contrasenya una vegada per a cada comandament.

Aquest programa està principalment dissenyat per a ser executat des de la línia de comandaments o des de fitxers .desktop.

OPCIONS

-c programa
    Això especifica el programa a executar com a root. Aquest se li ha d'especificar com a un únic argument. De manera que, per exemple, si voleu executar un nou gestor de fitxers, haureu d'introduir a l'indicatiu: kdesu -c kfm -sw

-d  Mostra informació de depuració.

-f fitxer
    Aquesta opció permet un ús eficient de KDE su en els fitxers .desktop. Aquesta li indica a KDE su que examini el fitxer especificat per fitxer. Si aquest fitxer és d'escriptura per a l'usuari actual, KDE su executarà el comandament com a dit l'usuari. Si no fos d'escriptura, el comandament seria executat com a l'usuari usuari (per omissió el root). fitxer s'avalua de la següent manera: Si fitxer comença per /, es pren com a un nom de fitxer absolut. D'altra manera, es pren com al nom d'un fitxer de configuració global del KDE. Per exemple: Per a configurar el gestor d'accés K, kdm, podríeu emprar kdesu -c kdmconfig -f kdmrc

-i nom icona
    Especifica la icona a usar en el diàleg de contrasenya. Podeu especificar el nom sense cap extensió.

-n  No demana la contrasenya. Això deshabilita la caixa de selecció Conserva la contrasenya del diàleg de contrasenyes.

-p prioritat
    Estableix el valor de la prioritat. La prioritat és un número arbitrari entre 0 i 100. El valor per omissió és 50.

-r  Usa planificació en temps real.

-s  Atura el dimoni kdesu. Aquest és el dimoni que manté el cau de contrasenyes validades, tot en segon pla. Aquesta característica també es pot deshabilitar amb l'opció -n quan s'inicia l'execució de KDE su.

-t  Habilita l'eixida de terminal. També deshabilita el requeriment de la contrasenya. És molt recomanable per a propòsits de depuració, si desitgeu executar una aplicació en mode consola, en comptes d'aquest empreu el su estàndard.

-u  usuari
    L'ús més comú per a KDE su es executar un comandament com a superusuari, tot i que ase li pot indicar un nom d'usuari i la contrasenya apropiada.

VEURE TAMBé

su(1)

Hi ha documentació d'usuari més detallada a help:/kdesu (podeu emprar aquesta URL en el Konqueror, o executant khelpcenter help:/kdesu).

EXEMPLES

Executeu kfmclient com a usuari jim, i es mostrarà la icona del Konqueror en el diàleg de contrasenya:

    kdesu -u jim -i konqueror kfmclient

AUTORS

KDE su ha estat escrit per en Jansen, Geert <jansen@kde.org> i Iglio, Pietro <iglio@fub.it>.

AUTHOR
Watts, Lauri.